# TourneyCodes (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.tourney.data
Interface TourneyCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes

All Known Implementing Classes:
  TourneyManager

    public interface TourneyCodes

extends com.threerings.presents.data.InvocationCodes

Constants and codes relating to the tourney services.

Field Summary
`static String` `ALREADY_IN_PROGRESS` The tourney is already in progress.
`static String` `ALREADY_IN_TOURNEY` User already in a tourney.
`static String` `CANCELLED` The tournament was canceled.
`static String` `FAILED_ENTRY_FEE` User failed to meet the entry fee requirements.
`static String` `HAS_PLAYERS` This tourney has participating players.
`static String` `NOT_IN_TOURNEY` User is not in the tourney.
`static String` `TOO_LATE` Too late to join a tourney.
`static String` `TOO_LATE_LEAVE` It's too late to leave the tourney.

Fields inherited from interface com.threerings.presents.data.InvocationCodes
`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

Field Detail

### TOO_LATE

    static final String TOO_LATE

  Too late to join a tourney.

  See Also:
    Constant Field Values

### ALREADY_IN_TOURNEY

    static final String ALREADY_IN_TOURNEY

  User already in a tourney.

  See Also:
    Constant Field Values

### FAILED_ENTRY_FEE

    static final String FAILED_ENTRY_FEE

  User failed to meet the entry fee requirements.

  See Also:
    Constant Field Values

### TOO_LATE_LEAVE

    static final String TOO_LATE_LEAVE

  It's too late to leave the tourney.

  See Also:
    Constant Field Values

### NOT_IN_TOURNEY

    static final String NOT_IN_TOURNEY

  User is not in the tourney.

  See Also:
    Constant Field Values

### ALREADY_IN_PROGRESS

    static final String ALREADY_IN_PROGRESS

  The tourney is already in progress.

  See Also:
    Constant Field Values

### HAS_PLAYERS

    static final String HAS_PLAYERS

  This tourney has participating players.

  See Also:
    Constant Field Values

### CANCELLED

    static final String CANCELLED

  The tournament was canceled.

  See Also:
    Constant Field Values

Copyright © 2011. All Rights Reserved.